Bug 48628 - [bisected ILK]Oglc fogexp(basic.allCases) regressed
[bisected ILK]Oglc fogexp(basic.allCases) regressed
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
git
All Linux (All)
: high major
Assigned To: Eric Anholt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 19:50 UTC by lu hua
Modified: 2012-08-10 01:03 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2012-04-12 19:50:50 UTC
System Environment:
--------------------------
Arch:             X86_64
Platform:         Ironlake
Libdrm:		(master)2.4.33-10-gf00efc7ab442f106d3ac7699e80f1f7aee8451f4
Mesa:		(master)249fc7056104113633215106ac085b505d8dc161
Libva_intel_driver:(vaapi-ext)82fa52510a37ab645daaa3bb7091ff5096a20d0b
Kernel_unstable:(drm-intel-next-queued)0156f0046bb709a8d7c7d48e3e055b3ecf6699c9

Bug detailed description:
-----------------------------
It fails on Ironlake with mesa master branch.It doesn't happen on mesa 8.0 branch.

Case 'api-fogcoord(basic.allCases)' also fails with the same commit.

Bisect shows: 32ae8d3b321185a85b73ff703d8fc26bd5f48fa7 is the first bad commit.
commit 32ae8d3b321185a85b73ff703d8fc26bd5f48fa7
Author: Eric Anholt <eric@anholt.net>
Date:   Sat Mar 10 13:48:42 2012 -0800

    i965/fs: Try to avoid generating extra MOVs to do saturates.
    
    This change (before the previous two) produced a .23% +/- .11%
    performance improvement in Unigine Tropics at 1024x768 on IVB.
    
    Total instructions: 269270 -> 262649
    614/2148 programs affected (28.6%)
    179386 -> 172765 instructions in affected programs (3.7% reduction)
    
    v2: Move some of the logic of finding the instruction that produced
        the result of an expression tree to a helper.

Reproduce steps:
----------------------------
1. start X
2. ./oglconform -z -suite all -v 2 -D 115 -test fogexp basic.allCases
Comment 1 lu hua 2012-04-12 19:54:04 UTC
Following piglit cases also fail with the same commit:
general_fog-modes
spec_EXT_fog_coord_ext_fog_coord-modes
Comment 2 Eric Anholt 2012-08-07 18:06:00 UTC
Have a patch series, building more specific piglit tests.
Comment 3 Eric Anholt 2012-08-08 23:45:09 UTC
commit 9b4053cabd8bda180b352d2d2047209f6ca5f6e8
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Aug 6 14:59:39 2012 -0700

    i965: Drop the confusing saturate argument to math instruction setup.
Comment 4 lu hua 2012-08-10 01:03:11 UTC
Verified.Fixed by commit 9b4053cabd8bda180b352d2d2047209f6ca5f6e8.